if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib/mono/mono-zeroconf ; rm -rf Mono.Zeroconf.dll )
( cd usr/lib/mono/mono-zeroconf ; ln -sf ../gac/Mono.Zeroconf/4.0.0.90__e60c4f4a95e1099e/Mono.Zeroconf.dll Mono.Zeroconf.dll )
( cd usr/lib ; rm -rf monodoc )
( cd usr/lib ; ln -sf /usr/doc/mono-zeroconf-0.9.0/monodoc monodoc )
